unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var x,y,z,a:extended;
begin
Memo1.Clear;
Memo1.Lines.Add('Исходные данные:');
x:=StrToFloat(Edit1.Text);
Memo1.Lines.Add('X= '+FloatToStrF(x,fffixed,8,5));
y:=StrToFloat(Edit2.Text);
Memo1.Lines.Add('Y= '+FloatToStrF(y,fffixed,8,0));
z:=StrToFloat(Edit3.Text);
Memo1.Lines.Add('Z= '+FloatToStrF(z,fffixed,8,3));
a:=1/exp(ln(2)*x)*Sqrt(x+Sqrt(Sqrt(abs(y))))*exp(ln(Exp(x-1/sin(z)))*1/3);


Memo1.Lines.Add('Результат A= '+FloatToStrF(a,fffixed,8,5));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Edit1.Text:='3,981E-2';
Edit2.Text:='-1,625E3';
Edit3.Text:='0,512';
Memo1.Clear;
end;

end.
